# Type alias IdObject<N>

IdObject<N>: Meta.IdObject<Resources.Collections, N>

Common reference type for resources in the system

This exists for type safety purposes. Typically, do not define variables of this type directly; use [[toIdObject]] on existing resources.

#### Type Parameters

- #### N extends Resources.CollectionName = Resources.CollectionName

#### Example

    import { Resources } from "@truffle/db";

    declare const source: Resources.Resource<"sources">;

    const { id }: Resources.IdObject<"sources"> = Resources.toIdObject(source);

- Defined in packages/db/src/resources/types.ts:276

Generated using TypeDoc